Skip to main content
`Ctrl`+`K`

# DMSwarmGetCellSwarm

Extracts a single cell from the `DMSWARM` object, returns it as a single cell `DMSWARM`. The cell `DM` is filtered for fields of that cell, and the filtered `DM` is used as the cell `DM` of the new swarm object.

## Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmGetCellSwarm(DM sw, PetscInt cellID, DM cellswarm)

Noncollective

## Input Parameters

- sw - the `DMSWARM`

- cellID - the integer id of the cell to be extracted and filtered

- cellswarm - The `DMSWARM` to receive the cell

## Notes

This presently only supports `DMSWARM_PIC` type

Should be restored with `DMSwarmRestoreCellSwarm()`

Changes to this cell of the swarm will be lost if they are made prior to restoring this cell.

## See Also

`DM`, `DMSWARM`, `DMSwarmRestoreCellSwarm()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages